/*********************************************************************************************
Module StoreAPIDLL.h
*********************************************************************************************/
#ifndef _STOREAPIDLL_H_
#define _STOREAPIDLL_H_
#ifndef STOREAPIDLL_EXPORTS
#define STOREAPIDLL_API __declspec(dllimport)
#else
#define STOREAPIDLL_API __declspec(dllexport)
#endif

/*********************************************************************************************
Define error code
*********************************************************************************************/
#define ST_ERR_PARAMENTS					-1	//
#define ST_ERR_FAILED						-2	//ʧ
#define ST_ERR_SUCCESS						1	//ɹ
#define ST_ERR_FILE_OPEN_FAILED				15	//ļ޷
#define ST_ERR_MODE_NOT_SUPPORT				16	//ֵ֧ģʽ
#define ST_ERR_OPENDISK_FAIL				17	//޷򿪴
#define ST_ERR_HIDDENSIZE_OVER				18	//̫

#define WM_READ_SUCCESS						WM_USER+601
#define WM_READ_FAIL						WM_USER+602
#define WM_WRITE_SUCCESS					WM_USER+603
#define WM_WRITE_FAIL						WM_USER+604
#define WM_DELETE_SUCCESS					WM_USER+605
#define WM_DELETE_FAIL						WM_USER+606
#define WM_WRITECD_SUCCESS					WM_USER+607
#define WM_WRITECD_FAIL						WM_USER+608
#define WM_OPENHANDLE_FAIL					WM_USER+609
#define WM_PROGRESS							WM_USER+610
#define WM_REMOVALREFRESHOK					WM_USER+611
/*********************************************************************************************
Include
*********************************************************************************************/
#include <stdio.h>
#include <Afxwin.h>
/*********************************************************************************************
Global variables declare
*********************************************************************************************/
CHAR g_PartLetters[3]={0};
/*********************************************************************************************
Function declare
*********************************************************************************************/
//////////////////////////////////////////////////////////////////////////////////////////////
//int ST_GetDiskLetter
//˵:ȡ뵱ǰPC˵ĸ̷
//CHAR* PartLetters,ػȡķ,̷Էֺ,ͬһֺڵ
//ͬһӲϵķ,硰H;IJʾHIJͬӲ
//ֵ-1ʾҵĿƶ
STOREAPIDLL_API int __stdcall ST_GetDiskLetter(CHAR*PartLetters);

//////////////////////////////////////////////////////////////////////////////////////////////
//int __stdcall ST_GetDiskCurrentState
//˵:ȡָӲķģʽ͸
//DWORD *dwTotalSize Ӳ,DWORD *dwPubSize U, DWORD *dwSecSize
//DWORD *dwCdromSize CDROM,DWORD *dwHiddenSize ,
//CHAR cDiskLetter ָӲ̷
//ֵ-1ʾģʽ
STOREAPIDLL_API int __stdcall ST_GetDiskCurrentState	(DWORD *dwTotalSize,DWORD *dwPubSize,
					DWORD *dwCdromSize,DWORD *dwSecSize,DWORD *dwHiddenSize ,CHAR cDiskLetter);
//////////////////////////////////////////////////////////////////////////////////////////////
//int __stdcall ST_SetDiskCurrentState
//˵:ָģʽָ·
//DWORD dwPubSize U, DWORD dwSecSize,DWORD dwCdromSize CDROM,DWORD dwHiddenSize ,
//int nCurrentMode ָķģʽ,CHAR cDiskLetter ָӲ̷;HWND pWnd=NULL
//ָھշĽϢΪNULLΪnull֪ʱɣ
//ֵ1ʾɹ
STOREAPIDLL_API int __stdcall ST_SetDiskCurrentState(DWORD dwPubSize , DWORD dwCdromSize,
			DWORD dwSecSize,DWORD dwHiddenSize, int nCurrentMode,CHAR cDiskLetter,HWND pWnd=NULL);
//////////////////////////////////////////////////////////////////////////////////////////////
//BOOL __stdcall ST_WriteHidderArea
//˵:д
//CHAR cDiskLetter ָӲ̷;DWORD dwOffsetLun,дݵʼ
//DWORD dwLunCountsҪд;BYTE *Buf,д
//ֵ1ʾɹ0ʾʧ
STOREAPIDLL_API BOOL __stdcall ST_WriteHidderArea(CHAR cDiskLetter,DWORD dwOffsetLun,
																DWORD dwLunCounts,BYTE *Buf);
//////////////////////////////////////////////////////////////////////////////////////////////
//BOOL __stdcall ST_ReadHidderArea
//˵:ȡ
//CHAR cDiskLetter ָӲ̷;DWORD dwOffsetLun,ȡݵʼ
//DWORD dwLunCountsҪȡ;BYTE *Buf,ݵĻ
//ֵ1ʾɹ0ʾʧ
STOREAPIDLL_API BOOL __stdcall ST_ReadHidderArea(CHAR cDiskLetter,DWORD dwOffsetLun,
													 DWORD dwLunCounts,BYTE *Buf);
//////////////////////////////////////////////////////////////////////////////////////////////
//int __stdcall ST_DownladTOCDROM
//˵:CDROMISOļ
//CHAR *FilePathName,ISOļľ;CHAR cDiskLetter ָӲ̷;CWnd* pWnd = NULL
//ָ࣬ISOĽϢΪNULLΪnull֪ʱISOɣ
//ֵ1ʾɹ
STOREAPIDLL_API int __stdcall ST_DownladTOCDROM(CHAR *FilePathName, CHAR cDiskLetter,
																			CWnd* pWnd = NULL);
//////////////////////////////////////////////////////////////////////////////////////////////
//BOOL __stdcall ST_GetSerialNumber
//˵:ȡӲк
//CHAR cDiskLetter ָӲ̷;CHAR *cSN,ݵĻ
//ֵ1ʾɹ0ʾʧ
STOREAPIDLL_API BOOL __stdcall ST_GetSerialNumber(CHAR cDiskLetter,CHAR *cSN);
//////////////////////////////////////////////////////////////////////////////////////////////
//BOOL __stdcall ST_GetPidAndVid
//˵:ȡӲVIDPID
//CHAR cDiskLetter ָӲ̷;WORD *wVID,VID;WORD *wPID,PID
//ֵ1ʾɹ0ʾʧ
STOREAPIDLL_API BOOL __stdcall ST_GetPidAndVid(CHAR cDiskLetter,WORD *wVID , WORD *wPID);
#endif